using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using SnSee.Bean;

public partial class Cn_Controls_ProductPicOpen : System.Web.UI.UserControl
{
    private Guid? ProductPicListID;
    private Guid? ProductPicBaseID;
    protected string Title;
    protected string Body;
    protected string PicPath2;

    protected void Page_Load(object sender, EventArgs e)
    {
        ProductPicListID = SnSee.Tool.ConvertTool.GetGuid(Request.QueryString["ID"]);
        ProductPicBaseID = SnSee.Tool.ConvertTool.GetGuid(Request.QueryString["ProductPicBaseID"]);

        if (ProductPicBaseID.HasValue)
        {
            ProductPicBaseBean _ProductPicBaseBean = (ProductPicBaseBean)SnSee.Factory.Factory.ProductPicBase.Select(ProductPicBaseID.Value);
            if (_ProductPicBaseBean != null)
            {
                PicPath2 = _ProductPicBaseBean.PicPath2;
            }
        }

        if (ProductPicListID.HasValue)
        {
            ProductPicListBean _ProductPicListBean = (ProductPicListBean)SnSee.Factory.Factory.ProductPicList.Select(ProductPicListID.Value);
            if (_ProductPicListBean != null)
            {
                Title = _ProductPicListBean.Title;
                Body = _ProductPicListBean.Body;
            }
        }
    }
}
